/*#######################################################################################
AVR Small Webserver 

Copyright (C) 2004 Ulrich Radig
Copyright (C) 2005 Joachim Brke

#######################################################################################*/
#include "main.h"
#include "webpage.h"

PROGMEM char token0[] = {"Heizkrper"};
PROGMEM char token1[] = {"Fu&szlig;bodenheizung"};
PROGMEM char token2[] = {"Vorlauf"};
PROGMEM char token3[] = {"R&uuml;cklauf"};
PROGMEM char token4[] = {"Luft"};
PROGMEM char token5[] = {"einla&szlig;"};
PROGMEM char token6[] = {"ausla&szlig;"};
PROGMEM char token7[] = {"w&auml;rmetauscher"};
PROGMEM char token8[] = {"Au&szlig;en"};
PROGMEM char token9[] = {"temperatur"};
PROGMEM char tokenA[] = {"Vorn"};
PROGMEM char tokenB[] = {"Hinten"};
PROGMEM char tokenC[] = {"zimmer"};
PROGMEM char tokenD[] = {"Warm"};
PROGMEM char tokenE[] = {"Kalt"};
PROGMEM char tokenF[] = {"wasser"};
PROGMEM char tokenG[] = {""};
PROGMEM char tokenH[] = {""};
PROGMEM char tokenI[] = {""};
PROGMEM char tokenJ[] = {""};
PROGMEM char tokenK[] = {""};
PROGMEM char tokenL[] = {""};
PROGMEM char tokenM[] = {"\r\n<form method=get>"};
PROGMEM char tokenN[] = {"<br>\r\n<input type=checkbox name=VA"};
PROGMEM char tokenO[] = {"\r\n<input type=hidden name="};
PROGMEM char tokenP[] = {"\r\n<input type=submit value=\""};
PROGMEM char tokenQ[] = {"\r\n<input type=text maxlength="};
PROGMEM char tokenR[] = {"\r\n<input type=radio name=VA"};
PROGMEM char tokenS[] = {"\r\n<br><a href=\"temp.htm\">Temperatur anzeigen</a>"};
PROGMEM char tokenT[] = {"\r\n<br><a href=\"index.htm\">zurck zur Startseite</a>"};
PROGMEM char tokenU[] = {"\r\n<br><a href=\"dump.htm\">Speicherdump anzeigen</a>"};
PROGMEM char tokenV[] = {"\r\n<br><a href=\"einst.htm\">Einstellungen bearbeiten</a>"};
PROGMEM char tokenW[] = {"HTTP/1.0 200 OK\r\nServer: AVR_Webserver\r\nConnection: close\r\nContent-Type: "};
PROGMEM char tokenX[] = {"\r\n<option value="};
PROGMEM char tokenY[] = {""};
PROGMEM char tokenZ[] = {"<html>\r\n<head><title>AVR-Webserver</title></head>\r\n<body bgcolor="};


PROGMEM PGM_P tokens[] ={
token0,token1,token2,token3,token4,token5,token6,token7,token8,token9,
tokenA,tokenB,tokenC,tokenD,tokenE,tokenF,tokenG,tokenH,tokenI,tokenJ,
tokenK,tokenL,tokenM,tokenN,tokenO,tokenP,tokenQ,tokenR,tokenS,tokenT,
tokenU,tokenV,tokenW,tokenX,tokenY,tokenZ};

// Der Sinn der "Tokens" ist in der Anleitung nachzulesen
// Der HTML-Text wird dadurch etwas schwieriger zu lesen, ist aber platzsparender.

PROGMEM char HTTP_html[] = {
"%VATW"//"HTTP/1.0 200 OK\r\nServer: AVR_Webserver\r\nConnection: close\r\nContent-Type: "
"text/html\r\n\r\n"
"%END."	//%END. = Ende des Files
};

PROGMEM char HTTP_jpg[] = {
"%VATW"//"HTTP/1.0 200 OK\r\nServer: AVR_Webserver\r\nConnection: close\r\nContent-Type: "
"image/jpg\r\n\r\n"
"%END."	//%END. = Ende des Files
};

PROGMEM char HTTP_ico[] = {
"%VATW"//"HTTP/1.0 200 OK\r\nServer: AVR_Webserver\r\nConnection: close\r\nContent-Type: "
"text/plain\r\n\r\n"
"%END."	//%END. = Ende des Files
};

PROGMEM char Page0[] = {		// Fehlerseite "Seite nicht gefunden"
"%VATZ"//"<html>\r\n<head><title>AVR-Webserver</title></head>\r\n<body bgcolor="
"#3333FF>\r\n"
"<div align=\"center\">"
"<h2>Fehler</h2><br>"
"<b>HTTP 404: Seite nicht gefunden</b><br>"
"Giosinos Webserver<br>"
"Mac-Adresse: %VAM<br>"			// %VAM gibt komplette MAC-Adresse aus
"Zeit: %VAU<br>"				// %VAU gibt Zeit und Datum aus
"</div><p>\r\n"
"</body></html>\r\n%END."		// %END. = Ende des Files
};

PROGMEM char Page1[] = {		// Startseite mit allgemeinen Angaben ##################################################
"%VATZ"//"<html>\r\n<head><title>AVR-Webserver</title></head>\r\n<body bgcolor="
"#3333FF>\r\n"
"<div align=center><table border=0 spacing=2>\r\n"
"<tr><td colspan=2 align=center><h3>Giosinos Webserver</h3></td></tr>\r\n"
"<tr><td></td>\r\n"  // hier stand <img src=\"tg.jpg\">
"<td><table>"
"<tr><td>IP-Adresse: </td><td><b>%VAI</b></td></tr>"	// %VAI gibt komplette IP-Adresse aus
"<tr><td>Mac-Adresse: </td><td><b>%VAM</b></td></tr>"	// %VAM gibt komplette MAC-Adresse aus
"<tr><td>Seitenzhler: </td><td><b>%VA1</b></td></tr>"	// %VA1 gibt Seitenzhler aus
"<tr><td colspan=2>"
"%VATS "//"\r\n<br><a href=\"temp.htm\">Temperatur anzeigen</a>"
"%VATV "//"\r\n<br><a href=\"einst.htm\">Einstellungen</a>"
"%VATU "//"\r\n<br><a href=\"dump.htm\">Speicherdump anzeigen</a>"
"\r\n<br><a href=\"Funk.htm\">Funkports</a>"//"\r\n<br><a href=\"Funk.htm\">Funkports</a>"
#if USE_MCA25_CAM
"\r\n<br><a href=\"cam.htm\">Bild der Webcam anzeigen</a>"
#endif
"<tr><td colspan=2 align=right><pre>%VAU</pre></td></tr>"
"</table></td></tr>"
"<tr><td colspan=2>"
"Im Internet gibt es weitere Informationen zur <ul>"
#if USE_MCA25_CAM
"<li><a href=\"http://avr.auctionant.de/\">Webcam</a></li>"
#endif
"<li><a href=\"http://www.ulrichradig.de/\">Webserver-Software</a></li>"
"<li><a href=\"http://www.mikrocontroller.com/\">Webserver-Hardware</a></li>"
"</ul></td></tr></table>"
"</div></body></html>\r\n%END."	//%END. = Ende des Files
};

PROGMEM char Page2[] = {		// Anzeige der Dallas-Bausteine mit Meergebnissen ####################################
"<html>\r\n<head><title>%VA1 Messung</title>"
"<meta http-equiv=\"refresh\" content=\"%VAR*\"></head>"	// %VAR* gibt refresh-Zeit aus
"<body bgcolor=#33FF99>\r\n"
"<div align=center><h3>Temperaturmessung</h3></div>\r\n"

"<pre>%ANFT\r\n"					// %ANFT = Schleifenanfang
"<a href=\"name.htm?VAL=%VAL\">"	// Link zur Bearbeitungsseite
"#%VAL:</a> "						// %VAL  = Laufvariable der Schleife
"%VAD* "							// %VAD* = Seriennummer mit Index der Laufvariablen (Einzelwert mit %VAD1 etc.)
"<b>%VAd* "						// %VAd* = Temperatur mit Index und Einheit (wie vorstehend)
"%VAe*</b> "						// %VAe* = External Power-Bit (wie vorstehend)
"%VAN*"								// %VAN* = Namen mit Index (wie vorstehend)
"%ENDT"								// %ENDT = Schleifenende !

"\r\n\n%VAU\r\n"	// Zeit und Datum
"%VATT "//"\r\n<br><a href=\"index.htm\">zurck zur Startseite</a>"
"%VATV "//"\r\n<br><a href=\"einst.htm\">Einstellungen</a>"
"%VATU "//"\r\n<br><a href=\"dump.htm\">Speicherdump anzeigen</a>"
"\r\n<br><a href=\"Funk.htm\">Funkports</a>"//"\r\n<br><a href=\"Funk.htm\">Funkports</a>"
"</pre></body></html>\r\n%END."		//%END. = Ende des File
};

PROGMEM char Page3[] = {		// Speicherdump ausgeben ##########################################################
"%VATZ"//"<html>\r\n<head><title>AVR-Webserver</title></head>\r\n<body bgcolor="
"#3333FF>\r\n"
"<div align=center><h3>Speicherdump</h3></div>\r\n"
"<pre>\r\n"	
" %ANFY"	// %ANFY = Schleifenanfang
" %ENDY"	// %ENDY = Schleifenende und Ausgabe der Adresszeile und der Datenzeilen
"\r\n%VA1/%VAU\r\n"
"%VATS "//"\r\n<br><a href=\"temp.htm\">Temperatur anzeigen</a>"
"%VATV "//"\r\n<br><a href=\"einst.htm\">Einstellungen</a>"
"%VATT "//"\r\n<br><a href=\"index.htm\">zurck zur Startseite</a>"
"%VATL "//"\r\n<br><a href=\"Funk.htm\">Funkports</a>"
"\r\n</pre></body></html>\r\n%END."		//%END. = Ende des File
};

PROGMEM char Page4[] = {		// Einstellungen aller Art ##########################################################
"%VATZ"//"<html>\r\n<head><title>AVR-Webserver</title></head>\r\n<body bgcolor="
"#3333FF>\r\n"
"<div align=center><h3>Einstellungen</h3>\r\n"

"<table>"
 "<tr>"
 
  "<td>"
	"%VATM "//"\r\n<form method=get>"
	"%VATQ"//"\r\n<input type=text maxlength="
		"2 name=VAh size=2 value=%VAh> : "	// Uhr stellen
	"%VATQ"//"\r\n<input type=text maxlength="
		"2 name=VAm size=2 value=%VAm> : "
	"%VATQ"//"\r\n<input type=text maxlength="
		"2 name=VAs size=2 value=%VAs><br>\r\n"
	"%VATP"//""<input type=submit value=\""
		"Uhr stellen\"></form>"

	"%VATM "//"\r\n<form method=get>"
	"%VATQ"//"\r\n<input type=text maxlength="
		"3 name=VAi size=3 value=%VAi> . "	// IP-Adresse setzen
	"%VATQ"//"\r\n<input type=text maxlength="
		"3 name=VAj size=3 value=%VAj> . "
	"%VATQ"//"\r\n<input type=text maxlength="
		"3 name=VAk size=3 value=%VAk> . "
	"%VATQ"//"\r\n<input type=text maxlength="
		"3 name=VAl size=3 value=%VAl><br>\r\n"
	"%VATP"//""<input type=submit value=\""
		"neue IP-Adresse\"></form>"

	"%VATM"//"\r\n<form method=get>"
	"LED-Tastverhltnis: %VA2/255<br>"	// LED einstellen
	"%VATR"//"\r\n<input type=radio name=VA"
		"2 value=0 %VA2->aus "		// "checked", wenn Variable nicht gesetzt
	"%VATR"//"\r\n<input type=radio name=VA"
		"2 value=127>50% "
	"%VATR"//"\r\n<input type=radio name=VA"
		"2 value=255 %VA2+>ein<br>\r\n"// "checked", wenn Variable gesetzt
	"%VATP"//""<input type=submit value=\""
		"LED schalten\"></form>\r\n"

	"<pre>"
		"%VA1/%VAU\r\n" // Seitenzhler und Uhrzeit ausgeben
		"%VATS "//"\r\n<br><a href=\"temp.htm\">Temperatur anzeigen</a>"
		"%VATU "//"\r\n<br><a href=\"dump.htm\">Speicherdump anzeigen</a>"
		"%VATT "//"\r\n<br><a href=\"index.htm\">zurck zur Startseite</a>"
		"\r\n<br><a href=\"Funk.htm\">Funkports</a>"//"\r\n<br><a href=\"Funk.htm\">Funkports</a>"
	"</pre>"
  "</td>"
  
  "<td>"
	"%VATM"//"\r\n<form method=get>"
	"<b>one-wire Einstellungen</b><br>"
	"Meintervall: <select name=VAR>"	// Meintervall einstellen
	"%VATX"	//"\r\n<option value="
		"3 %VAR3> 3 s<br>"
	"%VATX"	//"\r\n<option value="
		"5 %VAR5> 5 s<br>"
	"%VATX"	//"\r\n<option value="
		"10 %VARA> 10 s<br>"
	"%VATX"	//"\r\n<option value="
		"30 %VARU> 30 s<br>\r\n"
	"</select><p>\r\n"

	"aktive Busleitungen" 					// Busleitungen schalten
	"%VATO"//"<input type=hidden name="
	"VA0 value=0>"						// eingefhrt, um die Checkboxen zurckzustellen
	"%VATN"// "\r\n<input type=checkbox name=VA"
		"6 value=1 %VA6+>Port D 3"				// "selected", wenn Variable gesetzt
	"%VATN"// "\r\n<input type=checkbox name=VA"
		"4 value=1 %VA4+>Port D 4"
	"%VATN"// "\r\n<input type=checkbox name=VA"
		"5 value=1 %VA5+>Port D 5<p>"

	"Anzeige der Bausteine<br>"			// Filter zum Anzeigen der Dallas Bausteine schalten
	"%VATR"//"\r\n<input type=radio name=VA"
		"3 value=0 %VA30>alle Positionen<br>"				// "checked", wenn Variable3 = 0
	"%VATR"//"\r\n<input type=radio name=VA"
		"3 value=1 %VA31>nur die mit Seriennummer<br>"		// "checked", wenn Variable3 = 1
	"%VATR"//"\r\n<input type=radio name=VA"
		"3 value=2 %VA32>alle Thermometer<br>"				// "checked", wenn Variable3 = 2
	"%VATR"//"\r\n<input type=radio name=VA"
		"3 value=3 %VA33>nur aktive Thermometer<p>\r\n"		// "checked", wenn Variable3 = 3
	"%VATP"//""<input type=submit value=\""
	"Einstellungen setzen\"></form>\r\n"
	
	
	
  "</td>"
  
  "<td>"
	"%VATM"//"\r\n<form method=get>"
	"ADC-7: %VAA/255<br>"						// ADC-Ergebnis
	
	"DCF77-Schaltschwelle: %VATQ"//"\r\n<input type=text maxlength="
		"3 name=VAS size=3 value=%VAS><p>"		// Schaltschwelle fr DCF77-Eingang einstellen
	
	"Speicherdump: <select name=VAB>"	// Speicherdump einstellen
	"%VATX"	//"\r\n<option value="
		"1 %VAB1>EEPROM<br>"
	"%VATX"	//"\r\n<option value="
		"2 %VAB2>RAM<br>"
/*	"%VATX"	//"\r\n<option value="
		"3 %VAB3>93LC46<br>\r\n"*/
		
	
	"<b>Ausgabeports</b><br>"
	"Ein ........ Aus<br>"
	
	// %VATR = "\r\n<input type=radio name=VA"
	"%VATRY value=1 %VAY+>Port A 5%VATRY value=0 %VAY-><br>"	// Port A5 ein/aus
	"%VATRZ value=1 %VAZ+>Port A 6%VATRZ value=0 %VAZ-><p>"		// Port A6 ein/aus
	
	"%VATP"//""<input type=submit value=\""
	"Einstellungen setzen\"></form>\r\n"
  "</td>"
  
 "</tr>"

"</table>"

"</div></body></html>\r\n%END."	//%END. = Ende des Files
};

PROGMEM char Page5[] = {		// Bezeichnungen der Dallasbausteine bearbeiten ###################
"%VATZ"//"<html>\r\n<head><title>AVR-Webserver</title></head>\r\n<body bgcolor="
"#3333FF>\r\n"
"<div align=center><h3>Bausteinname bearbeiten</h3></div>\r\n"
"<table><tr><td>"
"<pre>Datensatz #%VAL\r\n"	// %VAL  = Laufvariable der Schleife
"Seriennummer:\r\n"
"<b>%VAD*</b>\r\n"		// %VAD* = Seriennummer mit Index der Laufvariablen (Einzelwert mit %VAD1 etc.)
"Bausteinbezeichnung:\r\n"
"<b>%VAN*</b>"			// %VAN* = Namen mit Index (wie vorstehend)

"%VATM "//"\r\n<form method=get>"
"%VATO"//"<input type=hidden name="
	"VAL value=%VAL>"						// Laufvariable behalten
"%VATQ"//"\r\n<input type=text maxlength="
	"16 name=VAN size=16 value=\"%VAN/\"> "	// %VAN/ = Namen mit Index in Tokenschreibweise
"%VATP"//"<input type=submit value=\""
	"Bezeichnung neu\"></form>"

"%VATM "//"\r\n<form method=get>"
"%VATO"//"<input type=hidden name="
	"VAL value=%VAL>"						// Laufvariable behalten
"%VATO"//"<input type=hidden name="
	"VAE value=%VAL>"					// %VAE = Eintrag lschen
"%VATP"//"<input type=submit value=\""
	"Eintrag lschen\"></form>"

"\r\n%VA1\r\n%VAU "
"%VATS "//"\r\n<br><a href=\"temp.htm\">Temperatur anzeigen</a>"
"%VATU "//"\r\n<br><a href=\"dump.htm\">Speicherdump anzeigen</a>"
"%VATT "//"\r\n<br><a href=\"index.htm\">zurck zur Startseite</a>"
"\r\n<br><a href=\"Funk.htm\">Funkports</a>"//"\r\n<br><a href=\"Funk.htm\">Funkports</a>"
"</pre></td>"

"<td><pre>"			// zweite Spalte beginnen
"mgliche Abkrzungen :" // berschrift
"%ANFN"				// %ANFN = Schleifenanfang
"\r\n*%VAO = "		// %VAO  = Laufvariable der Schleife als ASCII-Zeichen (zur Basis 36)
"\"%VAT*\""			// %VAT* = Token mit Index der Laufvariablen (Einzelwert mit %VAT1 etc.)
"%ENDN"				// %ENDN = Schleifenende !
"</pre></td></tr></table></body></html>\r\n%END."		//%END. = Ende des File
};

PROGMEM char Page6[] = {		// Meergebnisse fr LOG-Zwecke ####################################
"<html><head></head><body><pre>"
"%ANFT\r\n:"	// %ANFT = Schleifenanfang
"%VAL:"			// %VAL  = Laufvariable der Schleife
"%VAD*:"		// %VAD* = Seriennummer mit Index der Laufvariablen (Einzelwert mit %VAD1 etc.)
"%VAd*:"		// %VAd* = Temperatur mit Index (wie vorstehend)
"%VAN*:"		// %VAN* = Namen mit Index (wie vorstehend)
"%ENDT"			// %ENDT = Schleifenende !
"\r\n</pre></body></html>\r\n%END."		//%END. = Ende des File
};

PROGMEM char Page8[] = {		// Funkports ##########################################################
"%VATZ"//"<html>\r\n<head><title>AVR-Webserver</title></head>\r\n<body bgcolor="
"#3333FF>\r\n"
"<div align=center><h3>Funkports</h3>\r\n"

"<table>"
 "<tr>"
 "<td>"
 "%VATM"
	"</select><p>\r\n"
	"<b>Garten</b><br>"
	"Funkports setzen<br>"
	"Ein ... Aus<br>"
	
	
	"%VATRhAA value=1 %VAhAA+>  %VATRhAA value=0 %VAhAA->Licht Garten A  <br>"	   	// Steckdose A ein/aus
	"%VATRhAB value=1 %VAhAB+>  %VATRhAB value=0 %VAhAB->Licht Garten B  <br>"	  	// Steckdose b ein/aus
	"%VATRhAC value=1 %VAhAC+>  %VATRhAC value=0 %VAhAC->Licht Garten C  <br>"		// Steckdose c ein/aus
	"%VATRhAD value=1 %VAhAD+>  %VATRhAD value=0 %VAhAD->Licht Motorradgarage D<br>"		// Steckdose c ein/aus
	"<br>"
	"Auf ... Zu<br>"
	"%VATRhAE value=1 %VAhAE+>  %VATRhAE value=0 %VAhAE->Motorrad Garage  E<br>"		// Steckdose D ein/aus
	

	"%VATP"//""<input type=submit value=\""
	"Einstellungen setzen\"></form>\r\n"
 
       

 "</td>"
 "<td>"
 "%VATM"
"<b>Obergeschoss</b><br>"
	"Funkports setzen<br>"
	"Ein ...Aus<br>"
	
	
	"%VATRhBA value=1 %VAhBA+>  %VATRhBA value=0 %VAhBA->Grn.L. Wohnz.<br>"	   	// Steckdose A ein/aus
	"%VATRhBB value=1 %VAhBB+>  %VATRhBB value=0 %VAhBB->Brunnen Wohnz.<br>"	  	// Steckdose b ein/aus
	"%VATRhBC value=1 %VAhBC+>  %VATRhBC value=0 %VAhBC-> FREI C<br>"		// Steckdose c ein/aus
	"%VATRhBD value=1 %VAhBD+>  %VATRhBD value=0 %VAhBD-> FREI <br>"		// Steckdose d ein/aus 10000 C
	"%VATRhBE value=1 %VAhBE+>  %VATRhBE value=0 %VAhBE-> FREI <p>"		    // Steckdose e ein/aus 10000 D
	"<br>"
	
	"%VATP"//""<input type=submit value=\""
	"Einstellungen setzen\"></form>\r\n"
	
 "</td>"
 "<td>"
 "%VATM"
 "<b>Erdgeschoss</b><br>"
	"Funkports setzen<br>"
	"Ein ...Aus<br>"
	
	 
	"%VATRhCA value=1 %VAhCA+>  %VATRhCA value=0 %VAhCA-> FREI A<br>"	   	// Steckdose A ein/aus
	"%VATRhCB value=1 %VAhCB+>  %VATRhCB value=0 %VAhCB-> FREI <br>"	  	// Steckdose b ein/aus
	"%VATRhCC value=1 %VAhCC+>  %VATRhCC value=0 %VAhCC-> FREI <br>"		// Steckdose c ein/aus
	"%VATRhCD value=1 %VAhCD+>  %VATRhCD value=0 %VAhCD-> FREI <br>"		// Steckdose d ein/aus 10000 C
	"%VATRhCE value=1 %VAhCE+>  %VATRhCE value=0 %VAhCE-> FREI <p>"		    // Steckdose e ein/aus 10000 D
	"<br>"

	"%VATP"//""<input type=submit value=\""
	"Einstellungen setzen\"></form>\r\n"
	
"</td>" 
"<td>"
"%VATM"
"<b>Keller</b><br>"
	"Funkports setzen<br>"
	"Ein ...Aus<br>"
	
	
	
	"%VATRhDD value=1 %VAhDD+>  %VATRhDD value=0 %VAhDD->Licht Trennwand <br>"		// Steckdose d ein/aus 10000 C
	"%VATRhDE value=1 %VAhDE+>  %VATRhDE value=0 %VAhDE->Leihnwand <br>"		    // Steckdose e ein/aus 10000 D
	"%VATRhDC value=1 %VAhDC+>  %VATRhDC value=0 %VAhDC-> FREI <br>"		// Steckdose c ein/aus
	"%VATRhDD value=1 %VAhDD+>  %VATRhDD value=0 %VAhDD-> FREI <br>"		// Steckdose d ein/aus 10000 C
	"%VATRhDE value=1 %VAhDE+>  %VATRhDE value=0 %VAhDE-> FREI <p>"		    // Steckdose e ein/aus 10000 D
"<br>"
	"%VATP"//""<input type=submit value=\""
	"Einstellungen setzen\"></form>\r\n"
"</td>"
"<td>"
 "\r\n\n%VAU\r\n"	// Zeit und Datum
        "%VATS "//"\r\n<br><a href=\"temp.htm\">Temperatur anzeigen</a>"
		"%VATU "//"\r\n<br><a href=\"dump.htm\">Speicherdump anzeigen</a>"
		"%VATT "//"\r\n<br><a href=\"index.htm\">zurck zur Startseite</a>"
		"%VATV "//"\r\n<br><a href=\"einst.htm\">Einstellungen</a>"
		
"</td>"

 "</tr>"

"</table>"

"</div></body></html>\r\n%END."	//%END. = Ende des Files
};

#if USE_MCA25_CAM
PROGMEM char Page7[] = {		// Kameraseite #####################################################
/*
"<head>"
"<style type=\"text/css\">"
"div{width: 660px;border: 1px solid black;background: #e0e0e0;padding: 2px;}"
"#t{font-size: 18px; border-bottom: 0; margin-top: 8px;}"
"#c{width: 660px;border: 1px solid black;background: #e0e0e0; padding: 2px;"
"text-align: center;height: 480px;border-top: 0;border-bottom: 0;}"
"#d{border: 1px solid black;}"
"#f{font-size: 14px;border-top: 0; text-align: right; padding-bottom: 5px;}"
"#r{ background: #c0c0c0; border: 1px solid black; padding-left: 10px; padding-right: 10px;" "text-decoration: none; margin-right: 10px; }"
"#r:hover{ background: #707070;}"
"#w{visibility: visible; border: 1px solid white; position: absolute; background: #000000; color: #ffffff; top:200px; left:430px; width:150px; height:50px; z-index:1; }"
"</style>"
"<script language=\"Javascript\" type=\"text/javascript\">"
"function wait(i){"
"if (document.getElementById) "
"document.getElementById(\"w\").style.visibility = (i==1?\"visible\":\"hidden\"); "
"}\n"
"function cam(){"
  "wait(1);"
	"if (document.getElementById) "
	"document.getElementById(\"d\").src = \"/cam.jpg?t=\"+Math.floor(100+Math.random()*899); "
	"setTimeout(\"wait(0);\",9000);"
"}\n"
"function cam2(val){"
	"wait(1);"
	"if (document.getElementById) "
	"document.getElementById(\"d\").src = \"/cam.jpg?v=\"+val+\"&t=\"+Math.floor(100+Math.random()*899); "
	"setTimeout(\"wait(0);\",9500);"
"}\n"
"</script>"
"</head>"
"<body bgcolor=\"#336699\" vlink=\"#000000\" alink=\"#000000\" link=\"#000000\" onLoad=\"wait(0);\">"
"<center>"
"<div id=\"t\">AVRipcam</div>"
"<div id=\"c\">"
"<div id=\"w\"><br>bitte warten...</div>"
"<img id=\"d\" name=\"cam\" src=\"cam.jpg\" height=\"480\" width=\"640\" alt=\"loading...\"></div>"
"<div id=\"f\">"
#if USE_SERVO
//"<input name=\"v\" value=\"%SER\" type=\"text\" length=\"3\" width=\"30\" onChange=\"javascript:cam2(this.value);\">"
"servo pos:"
"<select name=\"v\" onchange=\"javascript:cam2(this.value);\">"
"<option value=0>0</option>"
"<option value=25>25</option>"
"<option value=50>50</option>"
"<option value=75>75</option>"
"<option value=100>100</option>"
"<option value=125>125</option>"
"<option value=150>150</option>"
"<option value=175>175</option>"
"<option value=200>200</option>"
"<option value=225>225</option>"
"<option value=250>250</option>"
"</select>"
#endif
"<a id=\"r\" href=\"javascript:cam();\">reload...</a>"
#if USE_SERVO
//"</form>"
#endif
"</div>"
please do not remove this link: thnx
"mehr &uuml;ber die <a href=\"http://avr.auctionant.de/avr-ip-webcam/\">avr ip webcam</a>"
"</center>"*/
// ******************************************************************************************
//
// Wir haben (leider) keinen Platz zu verschenken und mssen deshalb auf Javascript
// verzichten
//
// ******************************************************************************************
"%VATZ"//"<html>\r\n<head><title>AVR-Webserver</title></head>\r\n<body bgcolor="
	"#99FFCC>\r\n"
"<div align=center>"
"%VATM"//"\r\n<form method=get>"
 "<table>"
  "<tr>"
   "<td colspan=2>"
	"<input type=image name=P src=\"cam.jpg\" alt=\"Zum Refresh auf das Bild klicken\">"
   "</td>"
  "</tr>"
  "<tr>"
   "<td>Funlayer: "
	"%VATQ"//"\r\n<input type=text maxlength="
		"1 name=VAF size=2 value=%VAF> "
	"Bildgre: <select name=VAP>"	// Bildgre einstellen
	"%VATX"	//"\r\n<option value="
		"1 %VAP1>640*480<br>"
	"%VATX"	//"\r\n<option value="
		"2 %VAP2>320*240<br>"
	"%VATX"	//"\r\n<option value="
		"3 %VAP3>160*120<br>\r\n"
	"</select>\r\n"
   "</td>"
   "<td><pre>"
	"%VA1 / %VAU "
	"%VATT "//"\r\n<br><a href=\"index.htm\">zurck zur Startseite</a>"
   "</td>"
  "</tr>"
 "</table>"
"</form></div></body></html>\r\n%END." //%END = Ende des Files
};
#endif

PROGMEM char Picture1[] = {
/*0xFF,0xD8,0xFF,0xE0,0x00,0x10,0x4A,0x46,0x49,0x46,0x00,0x01,0x01,0x01,0x01,0x2C,
0x01,0x2C,0x00,0x00,0xFF,0xDB,0x00,0x43,0x00,0x03,0x02,0x02,0x03,0x02,0x02,0x03,
0x03,0x03,0x03,0x04,0x03,0x03,0x04,0x05,0x08,0x05,0x05,0x04,0x04,0x05,0x0A,0x07,
0x07,0x06,0x08,0x0C,0x0A,0x0C,0x0C,0x0B,0x0A,0x0B,0x0B,0x0D,0x0E,0x12,0x10,0x0D,
0x0E,0x11,0x0E,0x0B,0x0B,0x10,0x16,0x10,0x11,0x13,0x14,0x15,0x15,0x15,0x0C,0x0F,
0x17,0x18,0x16,0x14,0x18,0x12,0x14,0x15,0x14,0xFF,0xDB,0x00,0x43,0x01,0x03,0x04,
0x04,0x05,0x04,0x05,0x09,0x05,0x05,0x09,0x14,0x0D,0x0B,0x0D,0x14,0x14,0x14,0x14,
0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,
0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,
0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0x14,0xFF,0xC2,
0x00,0x11,0x08,0x00,0x6C,0x00,0x69,0x03,0x01,0x22,0x00,0x02,0x11,0x01,0x03,0x11,
0x01,0xFF,0xC4,0x00,0x1D,0x00,0x00,0x02,0x03,0x01,0x01,0x01,0x01,0x01,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x08,0x05,0x06,0x07,0x04,0x09,0x03,0x01,0x02,
0xFF,0xC4,0x00,0x14,0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xDA,0x00,0x0C,0x03,0x01,0x00,0x02,0x10,0x03,
0x10,0x00,0x00,0x01,0x6A,0x40,0x00,0x03,0x8F,0xB1,0x7B,0x29,0x73,0x2A,0x50,0x3A,
0x4C,0x12,0x6C,0xE4,0x80,0x00,0x00,0x00,0x00,0x1F,0xCF,0x9C,0xAD,0xCA,0x1C,0x00,
0x0D,0x2B,0x5E,0xA8,0x35,0xE0,0x00,0x00,0x04,0x54,0x71,0x66,0xAF,0xD8,0x12,0x23,
0x3D,0xAC,0x76,0xDA,0x86,0x46,0x4E,0xEB,0xD6,0x50,0x36,0xAC,0x9F,0x52,0x3E,0xC0,
0x00,0x06,0x69,0x25,0x1B,0x3A,0x46,0xA7,0x0F,0xB7,0x49,0xE6,0x56,0x8E,0xD7,0x79,
0xE6,0x3A,0xD6,0x34,0x56,0xC6,0x6E,0x7A,0x72,0x20,0xD6,0x9B,0xAF,0xD3,0x9E,0x0C,
0xD3,0x80,0x2A,0x94,0xDD,0x37,0x27,0x35,0x3F,0xEB,0x38,0xBA,0x93,0x5E,0x5F,0xFA,
0x89,0x98,0x08,0x34,0xC5,0xDF,0x3A,0x25,0x5D,0xF4,0x51,0xFE,0x3E,0x95,0x7B,0x36,
0x1E,0x35,0x87,0x2F,0x50,0x79,0xA4,0xFF,0x00,0x23,0x25,0x83,0x43,0xA6,0x4A,0x0C,
0x55,0x4B,0x0F,0x98,0x2A,0xB9,0xAD,0xAA,0x08,0xE7,0x67,0xD4,0xF6,0x10,0xD6,0xF0,
0x8B,0x84,0x71,0xB9,0x6A,0x79,0x4E,0xAC,0x60,0xD8,0xE3,0x91,0xDE,0x27,0xBF,0xAE,
0x0F,0xE9,0x80,0xC8,0xEE,0x20,0xA4,0x56,0x1D,0x0E,0xA1,0x71,0xDB,0x6C,0xA1,0x0B,
0x23,0xD2,0x00,0x07,0xFF,0xC4,0x00,0x25,0x10,0x00,0x01,0x04,0x02,0x01,0x03,0x05,
0x01,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x04,0x02,0x03,0x05,0x06,0x01,0x07,
0x10,0x00,0x14,0x15,0x12,0x13,0x16,0x20,0x30,0x11,0x25,0xFF,0xDA,0x00,0x08,0x01,
0x01,0x00,0x01,0x05,0x02,0xFA,0x98,0x52,0x01,0x10,0x6D,0xE0,0x4A,0x72,0xAD,0xE2,
0xC7,0xB5,0x48,0xD9,0x06,0xDB,0x27,0xFF,0x00,0x2D,0xC3,0x62,0xEC,0x21,0xF8,0xD2,
0x4C,0x7A,0xA7,0xBF,0x15,0x2B,0x08,0x4D,0xD2,0xC1,0xF2,0x5B,0x17,0x1A,0x35,0xA4,
0xE5,0xDF,0xC7,0x68,0xD9,0x13,0x07,0x5D,0xE7,0x46,0xB8,0x9C,0x39,0xF8,0x4F,0x4D,
0x31,0x5E,0x89,0x9D,0x9C,0x2A,0xD8,0x70,0x22,0x2E,0x40,0xD2,0x61,0xEA,0x63,0x16,
0x45,0x12,0xB7,0x08,0xA8,0x70,0x46,0x02,0xD7,0xF5,0x90,0x93,0x62,0x31,0xB8,0xDB,
0x18,0x12,0x8A,0xEB,0x6A,0xDB,0xBC,0xD4,0xA4,0x6B,0x4A,0x79,0x9D,0x7A,0xDB,0x6E,
0x5C,0x88,0xA6,0xC5,0x98,0x74,0x80,0x60,0x58,0xDB,0x9F,0xC0,0x55,0xC5,0xB2,0xF2,
0x08,0x6B,0xE9,0x21,0x94,0x12,0x6C,0x5C,0x53,0x05,0x47,0x1F,0x01,0x23,0x88,0xF9,
0x4D,0x71,0x3F,0x13,0x88,0xD2,0xBC,0x69,0xF5,0x2B,0x73,0x54,0xD1,0x6A,0x3B,0x36,
0x39,0xF0,0xC1,0x61,0x00,0xC9,0xD8,0xB6,0xE6,0x06,0x98,0xA4,0x5A,0x5B,0x3E,0xB4,
0xED,0x81,0x4C,0x37,0x13,0x34,0xB9,0x07,0x38,0x97,0x46,0x7B,0xB8,0xB6,0xB0,0x9C,
0x2D,0x3E,0x8E,0x98,0xCE,0x14,0x8B,0xD4,0x60,0xAF,0x56,0xBA,0x09,0xA4,0x3E,0xE0,
0xF2,0x19,0x95,0x79,0x69,0x56,0x33,0xA3,0x5E,0x56,0x59,0x95,0xEF,0xD4,0x94,0x2D,
0xE0,0x9E,0xE0,0xF4,0xF6,0xF2,0xC9,0x01,0xF6,0xD0,0xC0,0x82,0x45,0x30,0x21,0xBD,
0xF2,0x4B,0x1F,0xBB,0x14,0x91,0x9C,0x0C,0x86,0xD5,0x94,0xE5,0x62,0xB0,0xCB,0x2C,
0x06,0x7D,0x81,0xFD,0x7F,0x4E,0xF8,0x8C,0x5C,0xA7,0x78,0xE0,0x04,0xBC,0x47,0xB7,
0xC1,0x61,0x20,0xCE,0x85,0x92,0x1C,0xB9,0x60,0x3F,0xC9,0x58,0xB2,0xCD,0xC9,0xBB,
0xFD,0x43,0x18,0xB6,0xC3,0xC5,0x26,0x36,0xED,0x1C,0x38,0x01,0x8C,0xD2,0x5C,0x66,
0x1F,0x0F,0x2A,0x5A,0xBB,0x34,0xED,0x86,0xBE,0x6A,0x90,0xE4,0x75,0xAE,0x7C,0xAA,
0xF0,0xA2,0x92,0xD9,0xA2,0xF1,0x28,0xE7,0x95,0x9C,0xC9,0x87,0x52,0x5C,0xA7,0xDB,
0x99,0xB1,0x15,0x1B,0x20,0x40,0xCD,0xDC,0x4F,0x5C,0x84,0xBE,0xC6,0xFE,0xA8,0xB8,
0xFC,0x7A,0xDC,0x85,0x5E,0x5B,0x98,0x87,0xB0,0xFC,0x7A,0xC7,0x26,0x6A,0xA7,0x97,
0x60,0x9A,0x2E,0xCF,0x1F,0xAE,0x26,0xBC,0xD5,0x7F,0xAB,0x74,0xA6,0x61,0xAB,0x55,
0x88,0x23,0xA7,0x64,0xC5,0x05,0x70,0xBB,0x0E,0xE3,0x5D,0x87,0x05,0xA8,0x5D,0x8E,
0xE3,0xEF,0x8B,0x3A,0x29,0x44,0xDD,0x50,0x23,0x53,0x50,0x4C,0xE1,0xF3,0x5A,0xF7,
0x52,0xF1,0x91,0x33,0xF3,0x4E,0x35,0xF2,0xBC,0x09,0x17,0x4A,0x92,0x40,0xB4,0x5A,
0xF6,0x2B,0x82,0x75,0xB6,0x9E,0x75,0xF8,0xE8,0x4A,0x63,0xE2,0xE5,0xFD,0x6B,0x27,
0x32,0xE4,0x7E,0xB5,0x13,0x2F,0x0D,0xAD,0x22,0xF0,0xC0,0x35,0x32,0x1B,0x0E,0xFB,
0x43,0xC8,0x51,0xD4,0x4A,0xAE,0x7C,0xCC,0x6D,0x1C,0xB0,0x26,0x7C,0x23,0x4E,0xE5,
0x10,0xE2,0xB6,0xB6,0x86,0x69,0x84,0xF0,0x4C,0x58,0x86,0xBB,0x96,0x90,0xAC,0x61,
0xA4,0x61,0x58,0x6D,0x38,0xE4,0x90,0x46,0x37,0x28,0x6D,0x2D,0xE3,0xED,0xFF,0xC4,
0x00,0x14,0x11,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x50,0xFF,0xDA,0x00,0x08,0x01,0x03,0x01,0x01,0x3F,0x01,0x47,0xFF,
0xC4,0x00,0x14,0x11,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x50,0xFF,0xDA,0x00,0x08,0x01,0x02,0x01,0x01,0x3F,0x01,0x47,
0xFF,0xC4,0x00,0x3D,0x10,0x00,0x02,0x01,0x02,0x03,0x04,0x05,0x09,0x07,0x03,0x05,
0x01,0x00,0x00,0x00,0x00,0x01,0x02,0x03,0x04,0x11,0x00,0x12,0x21,0x05,0x13,0x31,
0x41,0x22,0x51,0x61,0x71,0x91,0x10,0x14,0x23,0x32,0x42,0x81,0xA1,0xB1,0xC1,0x06,
0x20,0x30,0x52,0x62,0x92,0xD1,0x15,0x33,0xF0,0x63,0x72,0x82,0x83,0xA2,0xF1,0xFF,
0xDA,0x00,0x08,0x01,0x01,0x00,0x06,0x3F,0x02,0xFB,0xB3,0x54,0xCB,0xA4,0x50,0xA1,
0x91,0xBB,0x80,0xBE,0x0F,0x9C,0x6C,0xB8,0xA4,0x1F,0xE9,0xCA,0x57,0xE8,0x70,0xA5,
0x76,0x4C,0x86,0x5E,0x6A,0x66,0x00,0x78,0xDB,0x06,0x8D,0xE8,0xA1,0x8A,0x01,0x09,
0x72,0x50,0x92,0xC0,0x82,0x3E,0x1A,0xFE,0x1A,0x6C,0xB8,0x8F,0xA6,0xAC,0xD5,0xFB,
0x23,0x1F,0xC9,0xFA,0xF9,0x6B,0xE6,0xBE,0xAB,0x4D,0x96,0xDD,0xEC,0x3F,0x8F,0xC2,
0x2C,0xC7,0x2A,0x8D,0x49,0x38,0xAA,0xAC,0x1F,0xD9,0xBE,0x48,0x47,0xE8,0x1C,0x3F,
0x9F,0x7F,0x97,0x6C,0x49,0x6E,0x9A,0x88,0x94,0x1E,0xC3,0x9B,0xF8,0x1F,0x85,0x25,
0x3A,0x35,0xAA,0xAB,0x41,0x89,0x2D,0xC9,0x7D,0xA3,0xE1,0xF3,0xFB,0x9B,0x66,0x3B,
0xF4,0xC8,0x89,0x80,0xEC,0x19,0xFF,0x00,0x91,0xF8,0x35,0x15,0xF5,0x1E,0xA4,0x43,
0xD5,0xE6,0xC7,0x90,0xC5,0x5D,0x75,0x53,0xE5,0x29,0x18,0x2B,0x1A,0xFA,0xAA,0x33,
0x01,0x6F,0xFD,0x1C,0x53,0xD2,0xC7,0xFD,0xC9,0xA4,0x58,0xD7,0xBC,0x9B,0x62,0x93,
0x67,0xC9,0xB1,0xA5,0x76,0x66,0x14,0x8B,0x50,0x22,0x2A,0xA5,0xB8,0x6A,0x6E,0x2E,
0x7B,0x70,0xB2,0x2E,0xC7,0x96,0xB2,0x43,0xA8,0x8C,0x31,0x61,0xA7,0x5E,0x63,0x97,
0xC7,0x14,0xB5,0x94,0x14,0x66,0x82,0x9E,0xB2,0x09,0x29,0xE4,0xA7,0x21,0x54,0x07,
0x42,0x18,0x35,0x81,0xB7,0x0B,0xFD,0xE0,0xF3,0x13,0xAF,0x05,0x45,0x2C,0xC7,0xDC,
0x30,0xA9,0x14,0xB9,0x65,0x61,0x99,0x62,0x99,0x4A,0x31,0x1D,0x60,0x1E,0x3E,0x4F,
0xE9,0xD4,0xD2,0x5E,0x86,0x94,0xEB,0x94,0xE8,0xF2,0x73,0x3E,0xEE,0x1E,0x38,0xAF,
0x55,0xE3,0xE6,0xF9,0xBC,0x1D,0x4E,0x36,0x66,0xF5,0x82,0x46,0xB2,0x66,0xCC,0xDC,
0x2E,0x01,0xB7,0xC6,0xD8,0x86,0xB2,0xA6,0x03,0x53,0x51,0x13,0x33,0x07,0x95,0xCB,
0x71,0xE5,0xDC,0x39,0x75,0x62,0x5A,0x2A,0xB8,0x24,0x91,0x01,0x65,0x39,0x95,0x94,
0x69,0x6E,0x07,0xDF,0xF3,0xC6,0xC8,0xF3,0x4A,0x74,0x8B,0x75,0x59,0xBE,0x78,0xA0,
0x8A,0xED,0xBB,0x31,0xB2,0x33,0x58,0x77,0xAE,0xB8,0x49,0x62,0x71,0x24,0x6E,0x33,
0x2B,0x29,0xB8,0x23,0xEE,0x9A,0x99,0xEE,0x61,0xDE,0x9A,0x4D,0xDD,0xAF,0xD0,0x00,
0xBB,0x5E,0xDA,0xF4,0x8A,0x81,0x6E,0x7A,0x75,0xE2,0x5A,0x6A,0xC8,0xA2,0xA8,0x74,
0x9D,0xC3,0x30,0x4C,0xA2,0xFC,0x8A,0xF5,0x74,0x72,0x8C,0x4F,0x4F,0xB3,0xB6,0xBC,
0xB1,0xE7,0x8D,0x91,0x45,0x57,0xA4,0xCB,0x7E,0xA7,0xF5,0x87,0xC7,0x05,0x9E,0x84,
0xCF,0x18,0xF6,0xE9,0xCE,0x7F,0x87,0x1C,0x24,0x92,0x21,0x64,0x17,0x59,0x23,0xEB,
0x52,0x2C,0x47,0x86,0x2B,0x94,0xD2,0xD3,0xD7,0xC9,0x50,0x72,0x83,0x7E,0x43,0xAF,
0x4F,0x54,0xE2,0x8E,0x92,0xBA,0x44,0xA5,0x9C,0x22,0xA6,0xF2,0xFD,0x03,0x61,0xCE,
0xFC,0x3E,0x5D,0xB8,0x9F,0x6A,0xD6,0x7D,0xA8,0xF3,0xAA,0x1B,0xFA,0x18,0x9A,0x60,
0xB1,0xAE,0x9A,0xDE,0xC6,0xC7,0x0C,0xDB,0x1E,0x34,0xA8,0x8B,0x77,0xBB,0x77,0x9C,
0x68,0xC6,0xFA,0x15,0xF1,0x38,0x81,0xE2,0xA4,0xA9,0x9E,0x64,0x25,0x65,0x58,0x96,
0xFD,0x2B,0xDC,0xEB,0xA0,0xE7,0x7B,0x76,0xE1,0x19,0xF6,0x5D,0x70,0xCE,0xD9,0x00,
0xCA,0x97,0xE1,0x7F,0xCD,0x84,0x59,0xA9,0x7C,0xD7,0x7D,0x16,0xFE,0x0B,0xB8,0x62,
0xE9,0xF4,0x22,0xEB,0xFB,0xBC,0xB5,0xD3,0xAA,0xE4,0x8E,0x27,0xA5,0xBB,0x5F,0xDB,
0xCD,0xD2,0x7F,0x72,0x30,0xBF,0x77,0x66,0x2A,0x28,0x96,0x59,0x46,0xEC,0x89,0x2E,
0x5E,0xEE,0xB9,0xAE,0x6C,0x7F,0xCE,0x63,0x11,0x0F,0x3A,0x64,0xCB,0xC8,0x95,0xE9,
0xEB,0xCE,0xE3,0x04,0x89,0x0C,0x80,0x93,0xA9,0xF9,0x63,0x6A,0xCE,0x68,0xA0,0x9A,
0xA1,0x69,0x98,0x87,0x68,0xC6,0x61,0xDB,0x7E,0xCE,0x3E,0x46,0x57,0xD3,0xA0,0xCD,
0x7B,0xF5,0x0B,0xFD,0x2D,0x85,0xA4,0x92,0x96,0x0C,0x8C,0x32,0xC5,0xBA,0x88,0x29,
0x8C,0xF2,0x37,0xE2,0x47,0x5D,0xEF,0x8D,0x57,0x2D,0xFB,0x31,0xB6,0x22,0xBF,0x41,
0x5A,0x26,0x03,0xB4,0xE6,0xBF,0xC8,0x62,0x07,0x10,0xC0,0xB9,0x64,0x02,0xE2,0xA1,
0xAF,0xD2,0xE8,0x7E,0x4F,0xD5,0x88,0x6A,0xE5,0x8D,0x77,0x54,0x24,0xD1,0x9B,0x3D,
0xEF,0x1C,0x9B,0xA3,0x9B,0x87,0xB3,0x65,0x1E,0x3E,0x5A,0x17,0x84,0xDA,0x5A,0x97,
0xDD,0x4A,0x9E,0xCB,0xA0,0x52,0x6E,0x7B,0xAD,0xC7,0xF5,0x62,0x4A,0xCF,0x38,0xA9,
0x12,0x52,0xA3,0x42,0xCD,0x1B,0x28,0x49,0x72,0x5B,0x88,0xCB,0x7F,0xCD,0xCF,0x4B,
0x1C,0x12,0x8A,0xB0,0xA2,0x8B,0xB4,0x8C,0x75,0xF7,0xB1,0xC6,0xF2,0x38,0xDD,0x61,
0xE4,0xD2,0xA9,0x52,0xDD,0xA0,0x62,0x68,0x09,0xB0,0x91,0x0A,0x5F,0xBC,0x62,0x58,
0x26,0x5C,0x92,0xC4,0xC5,0x1D,0x4F,0x22,0x31,0xA1,0xB1,0x3A,0x5F,0x12,0xB4,0x55,
0x9B,0xC9,0x92,0xDE,0xA2,0x90,0xA6,0xF7,0x06,0xC7,0xC3,0xC7,0x11,0x5A,0x5F,0x3A,
0xA8,0x96,0x41,0x0A,0xAC,0x93,0x74,0xC9,0xB7,0x69,0xE1,0xDB,0x87,0x59,0x59,0x64,
0xAC,0xA8,0x21,0xA5,0x65,0xE0,0x3A,0x97,0xE7,0xE3,0x8A,0xDA,0x88,0xAB,0xA0,0x34,
0xCB,0x1B,0x3A,0xAE,0xE3,0xA4,0xA4,0x7E,0xAC,0xFC,0x41,0x1D,0x58,0xC9,0x02,0xC3,
0x55,0x4D,0x25,0x55,0x38,0xA8,0x60,0xCC,0xC3,0x59,0x72,0xB5,0xAF,0xEE,0xEE,0x1E,
0x58,0x8B,0x33,0xA3,0x44,0xD9,0xD1,0xA3,0x6B,0x10,0x6D,0x6F,0xAE,0x36,0x85,0x2E,
0xFA,0x23,0xB4,0xA8,0xE6,0xCB,0x92,0x62,0x17,0xCE,0x97,0x25,0xB8,0x70,0xCC,0x33,
0x11,0x70,0x3E,0x78,0x86,0x16,0x8D,0xA4,0xAA,0xC8,0xCC,0xB1,0x4E,0xFE,0x8F,0x4B,
0x13,0xBB,0x6E,0x17,0xEC,0xF9,0x63,0x77,0x1E,0xF2,0x11,0xCF,0x7C,0x85,0x19,0xFF,
0x00,0xDB,0x7E,0x3D,0xE3,0x01,0x78,0x75,0x0E,0xBC,0x54,0xED,0x8D,0xA3,0xB3,0xA0,
0xA8,0xAB,0x86,0x33,0x93,0x8F,0x49,0xBD,0x95,0x3F,0x9B,0x5B,0x63,0x61,0x18,0x48,
0x66,0x7A,0x53,0xBD,0x2B,0xC3,0x38,0x63,0x98,0x0E,0xE6,0x2C,0x31,0x54,0xC7,0x8C,
0x71,0xE6,0x1F,0xBD,0x47,0xD7,0x14,0x4B,0x4E,0x19,0xA7,0x33,0x20,0x40,0xAF,0x90,
0x93,0x7D,0x35,0xE5,0x84,0xA8,0x5F,0x47,0xB4,0x22,0x26,0x39,0x62,0x71,0x96,0xD2,
0xAF,0x26,0x1C,0xAF,0xF5,0xC4,0xBB,0x42,0x08,0xDE,0x96,0xBA,0xDB,0xBC,0x9A,0x02,
0x64,0xBD,0x82,0x30,0xE0,0x75,0x3F,0x1D,0x30,0x91,0xA4,0x92,0x99,0x56,0x6A,0x59,
0x1D,0x5D,0x0E,0x56,0xB0,0x76,0xE2,0x78,0x70,0x8B,0x43,0xA8,0xB6,0x22,0xA8,0x88,
0xE6,0x8A,0x54,0x0E,0xA7,0xAC,0x1F,0x2D,0x7C,0xB0,0x3D,0xCD,0x4D,0x53,0x64,0x5F,
0xCC,0x19,0x89,0xFE,0x31,0x55,0xB1,0x6A,0xA0,0xF3,0xC8,0xEC,0x92,0x34,0x4C,0xC4,
0x2A,0x9E,0x39,0x95,0x97,0x5E,0xCC,0x2D,0x05,0x45,0x1A,0x43,0x5A,0x21,0xB5,0x2B,
0xC5,0x23,0x05,0x66,0x51,0xEA,0xD8,0x9D,0x3F,0xCE,0x76,0xC2,0xC9,0x57,0x13,0x4D,
0x20,0xA7,0xDE,0xCD,0x23,0x74,0x5A,0x3B,0x71,0x01,0x0F,0xCF,0x9E,0xB8,0xA2,0x86,
0x08,0xDA,0x7A,0x6D,0x9E,0x83,0x69,0xCF,0x94,0x1D,0x6C,0x7D,0x1A,0xF7,0x9B,0x78,
0x13,0xD5,0x8A,0x19,0x12,0x33,0x15,0x34,0xB1,0xB4,0x8B,0x1E,0x96,0x46,0x2E,0x73,
0x01,0x6D,0x2D,0xC0,0xFF,0x00,0xCB,0x12,0xA7,0xB2,0xD0,0xBD,0xFD,0xCB,0x98,0x7C,
0x40,0xC5,0x0B,0xAF,0xAC,0xB3,0xA1,0x1F,0xBB,0x10,0x99,0xA1,0x7A,0x7D,0x95,0x5A,
0x9B,0x9F,0x39,0x9C,0xFA,0xDB,0xBE,0x8A,0x3B,0x0F,0x64,0x81,0x95,0x0F,0xD3,0x09,
0x53,0x4D,0x15,0xE1,0x56,0x28,0x29,0xAF,0x69,0x6A,0x4A,0xB0,0xB8,0x36,0x37,0x4B,
0x71,0x07,0x95,0x85,0xED,0x84,0xA0,0xA2,0xD9,0x73,0xB4,0x54,0xAF,0xBF,0xAB,0x9A,
0x4E,0x91,0x67,0x02,0xDA,0x9E,0x40,0x0B,0xF3,0xF9,0x61,0x99,0x96,0x18,0x9E,0x19,
0xDE,0x33,0x14,0x02,0xCA,0x9A,0xDC,0x01,0xD9,0xAF,0x93,0x68,0xD6,0x2E,0x8E,0x91,
0x74,0x75,0xF6,0x8E,0x83,0xE2,0x71,0x4F,0x06,0xCD,0x31,0x43,0x55,0x1A,0x79,0xC6,
0xF5,0x98,0x8C,0x96,0x6D,0x0F,0xC5,0x78,0x76,0x62,0x23,0xF6,0xA2,0xA4,0x31,0x4F,
0x4A,0xD3,0xB7,0x4D,0x64,0xD3,0xA3,0xFE,0x76,0x61,0x76,0xC7,0xD9,0xED,0xAD,0x4E,
0x8D,0x13,0x5C,0xC2,0x95,0x00,0x90,0x79,0x64,0xE7,0x7C,0x08,0x3E,0xD1,0xC6,0xBB,
0x52,0x85,0xB4,0xCC,0x63,0x19,0xE3,0xEE,0xB5,0xAE,0x38,0x5F,0x1B,0x4A,0x3A,0x77,
0x92,0x1A,0x0A,0xE6,0x47,0x5A,0x9A,0xC4,0xB8,0x8E,0x4E,0x09,0x1B,0x6B,0xA8,0x1C,
0xAD,0x7B,0x5B,0x9D,0x8E,0x25,0x8E,0x92,0xA1,0xEA,0x44,0x47,0x75,0x99,0x9B,0x30,
0xB0,0xD1,0x40,0x3D,0xDA,0x7B,0xB1,0x22,0x93,0x6B,0x52,0xD4,0x37,0x84,0x2E,0x7E,
0x98,0x4D,0xD8,0x6D,0xE8,0xE9,0x2D,0x86,0xB8,0x96,0x59,0x52,0x1A,0x38,0x19,0x6E,
0x21,0x8E,0x72,0xAA,0x85,0x73,0x1E,0x57,0xD3,0x34,0x6C,0x6D,0xD7,0x8D,0xDD,0x37,
0x9B,0x45,0x51,0x53,0x21,0x32,0x56,0xDB,0xD3,0xB5,0xF2,0x91,0xAF,0x00,0x0E,0x75,
0xD3,0xDD,0x89,0x29,0x3F,0xAC,0xBD,0x34,0x75,0x0C,0x16,0x48,0xE1,0x53,0x92,0x4B,
0xEE,0xB9,0x9B,0x1E,0x12,0xF5,0x72,0x38,0x09,0x10,0x72,0x93,0x8C,0xD2,0x33,0x7E,
0x6E,0x23,0xE0,0x6D,0xDE,0x9E,0x4D,0x9D,0xB2,0xE1,0x20,0x35,0x6C,0xFA,0xDF,0xF2,
0xAF,0xFF,0x00,0x46,0x22,0x9F,0xCF,0x6A,0x76,0x7C,0xEB,0xBA,0x77,0x29,0xD1,0x21,
0x1B,0x42,0x78,0xF2,0xCC,0xA2,0xDD,0xF8,0x13,0xD6,0x6D,0x80,0xEC,0x2E,0x0C,0x95,
0x8C,0x6E,0x00,0x2F,0xA7,0xBB,0x29,0xF1,0xC3,0x0A,0x89,0xE6,0xA8,0x6D,0xD8,0x94,
0x64,0xB4,0x4B,0xFD,0xB2,0xD6,0xE7,0xFA,0x7E,0x38,0xCA,0xB4,0x8F,0x9A,0x68,0xAD,
0x9E,0x45,0x37,0x8A,0xF1,0x91,0x7D,0x4F,0x1C,0xC6,0xFA,0x70,0xB6,0x26,0x82,0x7A,
0x64,0x71,0x24,0x85,0xD8,0x1B,0x6E,0xFA,0x5A,0xD9,0x57,0xAB,0x3C,0x69,0xCB,0x83,
0xB6,0x36,0x5A,0xD2,0xBC,0x61,0x63,0x67,0x81,0x53,0x86,0x6B,0xDD,0xAF,0xDF,0xA3,
0x78,0x0C,0x52,0xCD,0x3C,0x46,0xAA,0x32,0x8A,0x5A,0x31,0x19,0x28,0xA2,0x4C,0xCA,
0x43,0xE9,0xD5,0x8A,0x8A,0x9A,0x1D,0x9D,0x0D,0x2C,0x3E,0x73,0x2A,0x2B,0xCD,0x21,
0xCF,0xBA,0x60,0x10,0x14,0xEA,0xB7,0x4C,0xF5,0x9B,0x8C,0x13,0x25,0xF2,0xB7,0xAD,
0x1A,0xB7,0x33,0xBC,0xCD,0xAF,0xFD,0x87,0xAB,0x86,0x2E,0x10,0xFB,0x36,0x19,0x8E,
0x96,0x37,0xFA,0x2F,0xED,0x18,0x01,0x10,0x28,0x1C,0x3C,0xA2,0x49,0xE9,0xA2,0x9A,
0x40,0xA5,0x03,0xBA,0x02,0x42,0x9E,0x23,0x16,0x28,0xA4,0x77,0x63,0x36,0x45,0xCD,
0xD7,0x6F,0xF3,0xAC,0xF8,0xE3,0x45,0x03,0xDD,0xE5,0x8C,0xCF,0x04,0x73,0x18,0xCD,
0xD3,0x78,0xB7,0xCB,0x8B,0x2A,0x85,0x1D,0x83,0xEF,0xFF,0x00,0xFF,0xC4,0x00,0x26,
0x10,0x01,0x00,0x02,0x02,0x02,0x00,0x06,0x03,0x01,0x01,0x01,0x00,0x00,0x00,0x00,
0x00,0x01,0x11,0x21,0x00,0x31,0x41,0x51,0x10,0x61,0x71,0x81,0x91,0xA1,0x20,0x30,
0xF0,0xB1,0xC1,0xD1,0xFF,0xDA,0x00,0x08,0x01,0x01,0x00,0x01,0x3F,0x21,0xFC,0x57,
0xC5,0x1A,0x70,0xC5,0xF4,0x66,0xC2,0x44,0x4C,0xEE,0xB7,0xC1,0xFC,0x6B,0x0A,0xCD,
0x35,0x67,0xD2,0x55,0xF8,0x30,0xA3,0x37,0x69,0x09,0x55,0x8E,0x08,0x8D,0xBB,0xE3,
0xF5,0xC7,0x48,0x9C,0xB2,0xC9,0xFA,0x03,0xD0,0xED,0xE2,0x12,0x0F,0x75,0x4F,0x9F,
0xEF,0x3F,0xA8,0xE0,0x06,0x42,0x00,0xEF,0x11,0x8B,0xBA,0x71,0x4F,0xCA,0xFD,0x5E,
0x26,0xFE,0xC6,0x34,0x8D,0xFD,0x42,0x90,0x10,0xAB,0xA3,0xEF,0x47,0xA8,0xFC,0x1C,
0x9E,0xA7,0x08,0x17,0xF8,0xDF,0xE9,0x78,0x77,0x41,0xB7,0x43,0xE6,0xB0,0x7D,0xE7,
0x06,0xE0,0xB1,0x09,0xF9,0x27,0xB5,0xEF,0x21,0x85,0x9C,0xFA,0x43,0xED,0xC1,0xAC,
0xC9,0xAF,0xEA,0x4A,0x64,0x0E,0x9E,0xB0,0xA7,0xB3,0x09,0xF0,0x95,0x08,0xE3,0x6B,
0x9D,0x37,0x87,0x48,0xF2,0x00,0x95,0x29,0x82,0x9E,0x3F,0x2D,0x94,0xFA,0xC5,0x25,
0x80,0x58,0x39,0x74,0x62,0xB3,0xF2,0xB8,0xBC,0x44,0x7A,0x78,0x37,0x29,0xA4,0x9F,
0xE2,0x25,0x0F,0xFD,0x60,0xAB,0x21,0x2B,0xE1,0x2F,0xA1,0xC9,0xA7,0xD3,0x82,0x09,
0x6F,0xDC,0x5E,0xA9,0x92,0x40,0xAB,0x4F,0x60,0xFB,0x0E,0x95,0xCE,0x03,0x56,0x09,
0xD5,0xAD,0x07,0x18,0x7C,0xA1,0xA7,0x16,0xEC,0x25,0x54,0x1F,0x98,0x2E,0xF2,0x1B,
0x60,0xC0,0xE1,0x59,0x31,0x69,0x1F,0xC6,0xC0,0x0D,0x3C,0x3C,0x36,0x74,0xC0,0x28,
0xD3,0x36,0x7E,0x56,0x23,0x98,0xAC,0xD0,0x6A,0x32,0x14,0x58,0x2B,0x06,0xE8,0x43,
0x85,0x61,0xD6,0x6E,0xB9,0x20,0x3F,0x0F,0xF8,0xCE,0xB7,0x50,0x16,0x3E,0x51,0xDE,
0x5E,0x75,0x3A,0x27,0x98,0xBC,0x93,0x12,0x35,0xAC,0x12,0xC3,0x65,0x98,0x0E,0x05,
0xD7,0x33,0x85,0xDC,0xA4,0x8C,0x4C,0x1A,0x09,0x30,0x07,0x13,0xBC,0xB5,0xB9,0xD4,
0x03,0x40,0x43,0x07,0x26,0xE7,0x55,0x82,0xE6,0x5A,0x83,0x50,0xF7,0xC6,0x0D,0x10,
0x8A,0xC9,0xC2,0x48,0xD5,0x3D,0x06,0xB0,0x37,0xE4,0xE2,0xA0,0xE6,0x78,0xC1,0x50,
0xEE,0x65,0xE9,0x6D,0xF8,0x82,0x49,0xE5,0x50,0x13,0x28,0x68,0x90,0x72,0x59,0x02,
0xE1,0x74,0x23,0x2C,0xAF,0x27,0x0D,0x2F,0xA6,0x02,0xD6,0x5C,0x99,0x09,0x00,0x2C,
0x5B,0x55,0x1B,0xC5,0x4C,0xD0,0x05,0x5E,0x90,0x14,0x6B,0x15,0xAB,0xAE,0x42,0x2C,
0x36,0xE5,0xEC,0xF0,0x5B,0xD0,0x1C,0x42,0xDE,0x3E,0xFF,0x00,0x66,0x55,0x8E,0x80,
0x51,0xA2,0x7A,0x8E,0x44,0xBB,0x87,0x26,0x4F,0xB8,0x18,0x7C,0x62,0x77,0xD1,0x90,
0x0F,0xF2,0xE3,0x26,0x07,0x8F,0x81,0xBA,0x3B,0x42,0x7D,0x43,0x07,0x95,0xCB,0x5D,
0x26,0xBB,0x20,0xE4,0x1F,0x53,0xE0,0x52,0x27,0x44,0x98,0x4F,0xF7,0x41,0xE8,0x3B,
0x20,0x30,0x70,0x12,0xD1,0x41,0x96,0x26,0x4D,0x65,0x99,0x51,0x6F,0xA4,0x50,0xDA,
0xDC,0x7D,0x57,0x22,0x56,0x94,0x01,0x3B,0x24,0xC7,0x9B,0x1E,0x52,0x5E,0x14,0xB1,
0x54,0x26,0x24,0x35,0xEF,0x8D,0x57,0x7A,0x25,0x42,0x7C,0xE2,0x52,0x2B,0xBA,0x20,
0x69,0xFA,0xAF,0x47,0x22,0xB1,0x4A,0x08,0xD8,0x96,0x85,0x2C,0x26,0x5E,0xE4,0x71,
0x69,0x6E,0xA2,0xA4,0xA1,0xE4,0x35,0x9D,0x1F,0x95,0xA1,0x43,0xC8,0x4D,0xBB,0x59,
0x16,0xAD,0xB7,0x1A,0xA6,0x80,0xE4,0x04,0x25,0xEB,0x16,0x01,0x7F,0xC2,0x50,0xAD,
0xC5,0x66,0x00,0x8A,0x7C,0x79,0xF8,0x29,0x21,0xEE,0x21,0x53,0x58,0x4D,0x7A,0xBA,
0x94,0x19,0x10,0xF9,0x14,0x22,0x01,0x1F,0x26,0xA1,0x18,0x84,0x8D,0xA6,0x83,0x56,
0x80,0x93,0x10,0xA5,0x87,0xB3,0x15,0x37,0x33,0x6A,0xB7,0x23,0x53,0x4E,0x43,0xDA,
0x85,0x63,0xB6,0x97,0x1B,0x8D,0x81,0x00,0x95,0x15,0x2C,0x85,0xF7,0x58,0x63,0xFA,
0x4D,0x7C,0x89,0x7C,0x03,0x05,0x59,0x0D,0xBA,0x7F,0xE0,0x59,0x2B,0x03,0xBC,0x24,
0x07,0x73,0xCF,0x18,0x7D,0xB5,0x50,0x04,0x3C,0x44,0x86,0x38,0x87,0x26,0x31,0x6B,
0xB3,0x62,0xEA,0x84,0x89,0xEA,0x4A,0xF2,0x67,0x3C,0xC9,0xB1,0x01,0xB6,0xAB,0xCC,
0x44,0xE4,0x62,0xC3,0xF8,0x12,0x3F,0x0F,0x89,0xB0,0x3E,0x7D,0x92,0x2B,0x46,0xFE,
0xDE,0x58,0x6E,0xE8,0x39,0x92,0x68,0x0D,0xA9,0x1B,0x18,0x75,0x6B,0x0F,0x68,0x08,
0xC6,0xC0,0x93,0x62,0x5D,0xE8,0x8B,0x70,0x6D,0x0D,0x08,0x60,0xBD,0xA2,0x04,0x72,
0x03,0x01,0x5C,0xF3,0x95,0x24,0x3C,0x22,0x21,0x1B,0x51,0x84,0xA4,0x7F,0xCE,0x5B,
0xCD,0x5A,0x29,0x48,0x1E,0x72,0x43,0x52,0x36,0x73,0x37,0xD8,0xBD,0xB1,0x7C,0x04,
0xE4,0x9B,0x07,0x0E,0x22,0x45,0x27,0x0B,0x64,0x1B,0x0E,0xCA,0x0A,0x2A,0xC6,0x90,
0x3C,0xC0,0x74,0x21,0x59,0xDC,0x22,0xD5,0x66,0x53,0x96,0x75,0x97,0x5E,0x49,0x55,
0x17,0xC9,0x20,0x18,0x44,0xB9,0x42,0x52,0xB1,0x5E,0x0C,0xC0,0x90,0xD4,0x47,0x4F,
0xE4,0x61,0xC7,0xB3,0x71,0x3E,0x56,0x1B,0xE2,0x0F,0x2E,0xF2,0x15,0x70,0xCD,0x48,
0xB9,0x49,0x89,0x03,0x55,0xD3,0x60,0x72,0x4D,0x64,0x8D,0x7A,0x3A,0x7D,0x78,0x70,
0x55,0x05,0x64,0xE2,0xF9,0x06,0x87,0xAF,0x66,0x01,0x1A,0x78,0xAB,0xB6,0x64,0xA6,
0x85,0xC0,0x82,0xE5,0xCA,0x8F,0x47,0xC8,0x62,0x18,0x2B,0xC1,0x26,0x79,0x6E,0x0A,
0x84,0x43,0x92,0x6C,0x4F,0xF7,0x18,0xEA,0xE6,0xD3,0x74,0x12,0xA1,0x15,0x21,0x13,
0x78,0xD6,0x34,0xAC,0x6D,0x28,0x69,0x00,0x54,0x94,0x67,0x18,0xF0,0x72,0x54,0x22,
0xE4,0x94,0x9D,0x2B,0xCD,0xFD,0x0A,0x35,0x65,0xFB,0xF4,0x07,0x99,0x79,0xED,0x05,
0xBC,0x4A,0xFA,0x0A,0x3E,0x98,0x23,0x5D,0x00,0x6E,0xCB,0x28,0x94,0x2B,0x98,0xF7,
0x05,0xBE,0x94,0x33,0x81,0x95,0xD9,0x22,0x62,0x13,0xC3,0x8C,0xA9,0x40,0x19,0x3E,
0x76,0x65,0xD1,0x2B,0x48,0xD5,0x6A,0x23,0x98,0x24,0xDD,0x4A,0x86,0x9E,0x13,0x36,
0x60,0x0F,0x01,0x22,0x68,0xEC,0xC3,0xCC,0xCE,0x45,0x62,0xC1,0x72,0x15,0x37,0x49,
0x2D,0xC3,0x64,0xA8,0xE9,0x28,0x42,0x8C,0xF5,0x65,0xE1,0x03,0x94,0xF4,0xA2,0x16,
0x1C,0x98,0x00,0xF4,0x91,0x64,0x55,0xC4,0x69,0x39,0xC6,0xB8,0x91,0x0F,0x4C,0x40,
0x69,0xD1,0x91,0x94,0xBE,0xFC,0xA8,0x0D,0x18,0x43,0xE4,0x20,0x59,0x04,0x1F,0x05,
0x78,0xEA,0x8F,0x3C,0x08,0x1E,0x07,0x37,0xC4,0x29,0x1C,0xB2,0xFD,0xE4,0x36,0x1D,
0x22,0x79,0xFE,0x3C,0xDD,0xE4,0x1D,0x13,0x24,0x69,0x51,0xFE,0x57,0x8B,0x9F,0xD3,
0x0C,0xC9,0x0A,0x4F,0x93,0x96,0x65,0xA6,0x22,0xFC,0xFF,0x00,0xFF,0xDA,0x00,0x0C,
0x03,0x01,0x00,0x02,0x00,0x03,0x00,0x00,0x00,0x10,0xF3,0xCE,0x1C,0x73,0xCF,0x3C,
0xF1,0xCF,0x1C,0xF3,0xCE,0x3C,0xA3,0x45,0x3C,0xF1,0x0B,0x3C,0xF2,0x8C,0x3C,0x01,
0x4E,0x0C,0x03,0x8D,0x24,0xD0,0xCF,0x28,0xA1,0x46,0x34,0xF1,0x47,0x3C,0xF3,0xFF,
0xC4,0x00,0x14,0x11,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x50,0xFF,0xDA,0x00,0x08,0x01,0x03,0x01,0x01,0x3F,0x10,0x47,
0xFF,0xC4,0x00,0x14,0x11,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x50,0xFF,0xDA,0x00,0x08,0x01,0x02,0x01,0x01,0x3F,0x10,
0x47,0xFF,0xC4,0x00,0x24,0x10,0x01,0x01,0x01,0x00,0x02,0x02,0x02,0x02,0x03,0x00,
0x03,0x00,0x00,0x00,0x00,0x00,0x01,0x11,0x21,0x00,0x31,0x41,0x51,0x10,0x61,0x20,
0x30,0x71,0x81,0xA1,0x91,0xD1,0xF1,0xFF,0xDA,0x00,0x08,0x01,0x01,0x00,0x01,0x3F,
0x10,0xFC,0x4A,0x5A,0x3C,0x2A,0x44,0xA8,0x76,0x79,0x38,0xB8,0xBF,0x31,0xD6,0xED,
0xB6,0x65,0xEA,0xBA,0x47,0x06,0xC2,0x11,0x4E,0x35,0x14,0x2C,0xC7,0xB9,0xDC,0xD0,
0x34,0xDE,0x02,0x16,0x85,0x19,0x58,0x38,0xFD,0x65,0x0B,0x43,0x89,0x26,0xA2,0x42,
0xE8,0x16,0x81,0x3B,0x1F,0x0D,0x02,0x8F,0x38,0x11,0xAF,0xA9,0x3F,0xB7,0xEA,0x47,
0x31,0x0C,0x31,0x54,0xB8,0x01,0xB5,0xE6,0x65,0x01,0x08,0xD4,0xA8,0xE8,0xED,0x1E,
0x90,0xE8,0xF9,0xA8,0xAA,0x41,0x81,0x67,0x4D,0x76,0xF1,0x3E,0xDF,0xD5,0x04,0xE7,
0xA3,0x11,0x26,0x81,0x1A,0x79,0x1E,0x1F,0xC0,0x7D,0x91,0x4B,0xD8,0x17,0x58,0x97,
0xFE,0xBF,0x4A,0x39,0x6F,0x78,0x97,0x4E,0xEB,0xA4,0x80,0xAB,0x05,0xE6,0xAF,0x99,
0xE8,0x1A,0xAF,0x46,0xD5,0x5F,0x61,0xC2,0x24,0x10,0x70,0x6C,0x2F,0xA8,0x73,0xBC,
0x8A,0x60,0x40,0x38,0x07,0xBD,0x45,0x98,0x2D,0xA1,0x91,0x23,0x1B,0xA2,0x99,0x40,
0x80,0x08,0x48,0x1D,0xE1,0x01,0x55,0x6A,0xC0,0x13,0xDA,0xDF,0xC6,0x82,0xE8,0x6F,
0x90,0xB8,0x06,0xC2,0x12,0xA5,0x38,0x13,0xFA,0x81,0xDD,0x7D,0xD0,0x2A,0x79,0x9F,
0x13,0x62,0x49,0x83,0x88,0x29,0xD8,0x2F,0xBA,0x8A,0x0E,0x05,0xB3,0xD2,0x0D,0xCF,
0x7D,0x3A,0x79,0x9C,0x52,0x2A,0x7E,0x10,0x97,0x02,0x06,0xFD,0x2D,0x9C,0x6E,0x04,
0x98,0xDE,0x2A,0x8D,0x44,0xC0,0x41,0x85,0x4B,0x43,0xA6,0x56,0xB9,0xE9,0xD2,0x6D,
0x75,0x39,0xE7,0xBF,0x3D,0xE9,0xF0,0xC2,0xD6,0x7A,0x84,0x38,0x1A,0x30,0x45,0x13,
0x11,0x11,0x13,0xF1,0x54,0x44,0xB3,0x28,0xBA,0xA8,0xC8,0x60,0xE6,0x96,0x3F,0x97,
0x74,0x60,0x6C,0x9A,0x1A,0x9C,0x69,0x78,0x42,0xD2,0x15,0xC0,0x0D,0x11,0xEC,0x2A,
0x60,0x9B,0x9E,0x64,0xC1,0x65,0xF0,0xFF,0x00,0x93,0xC1,0x5F,0xB5,0x3A,0xD9,0x9C,
0xA8,0x83,0x16,0x51,0x33,0x8A,0x36,0x85,0xBB,0x4D,0xA0,0xE0,0x02,0x14,0xB0,0x89,
0x49,0x40,0x5A,0x14,0x41,0x4A,0x28,0xA1,0x8A,0x87,0x1D,0xE8,0x3A,0x97,0x11,0xA5,
0x88,0x1B,0x4A,0x2F,0x08,0x10,0xB3,0xDE,0xB0,0x21,0xA2,0xEB,0xC4,0xAA,0x12,0xBD,
0xF6,0x69,0x0A,0x00,0x31,0x20,0x80,0xA9,0x06,0x01,0x5A,0x93,0x4C,0xA3,0x59,0xFC,
0x1C,0x8C,0xCF,0x01,0x41,0xAE,0x40,0xD7,0x04,0x46,0x23,0xE0,0xC6,0x02,0x56,0xEC,
0x48,0x3A,0xA7,0x11,0x01,0x33,0x0C,0x7D,0x43,0x30,0xB0,0xAA,0xAE,0x75,0x79,0xAC,
0x08,0xC2,0x91,0x53,0x40,0x6D,0xAC,0xDB,0x20,0x04,0x91,0x59,0xB3,0xC8,0x01,0x16,
0xB9,0xAB,0xDF,0x08,0x7E,0x26,0xB7,0x5E,0x4A,0x21,0x1E,0xFC,0xAC,0x78,0x26,0x2A,
0x54,0xF6,0xB0,0xD9,0x63,0xD2,0x5D,0x91,0x67,0x10,0xB3,0x97,0xD4,0xBA,0x5A,0x1A,
0xD2,0x3D,0xAF,0x56,0x06,0x3F,0x6F,0x1C,0xBF,0xA8,0x2B,0xB2,0x97,0xEC,0xE0,0xC5,
0xF0,0x88,0x95,0x3A,0x80,0x23,0xE1,0x11,0x28,0xBE,0xC3,0x54,0xEF,0xB7,0x6A,0x00,
0x10,0x25,0x8F,0x95,0xFC,0xC6,0x84,0x6E,0x0A,0x4C,0x68,0x51,0x63,0x81,0x74,0xA9,
0x3B,0x67,0x5D,0x15,0x50,0xE1,0xC2,0xFC,0x8F,0x29,0x55,0x85,0xD4,0xAA,0x96,0x6B,
0x9C,0x23,0x48,0x88,0x83,0x01,0x5D,0xE8,0x6C,0x28,0x41,0x05,0x24,0xD3,0x32,0x2F,
0xB4,0xF0,0xF3,0xCE,0xC7,0x30,0xC2,0x5F,0xF6,0x04,0xE0,0x92,0x46,0xEF,0xDC,0x17,
0x05,0x2A,0xE5,0x0F,0x3C,0x45,0xAE,0xAC,0x98,0x22,0x21,0x48,0xE0,0x28,0x0F,0x09,
0xBD,0xAF,0x31,0x4B,0x34,0xC6,0xBA,0x84,0x8C,0x38,0xB6,0xD0,0x15,0x36,0x1A,0x8D,
0x35,0x05,0xF0,0x27,0x15,0x5B,0xCA,0x07,0x57,0x43,0x86,0x01,0x15,0x72,0x10,0xBD,
0x49,0x9D,0x94,0xA5,0x1D,0xE4,0x3F,0x23,0x94,0xBF,0x4A,0xCE,0xF8,0x43,0xA4,0xAA,
0x32,0x82,0x14,0x78,0xD4,0xED,0x08,0xAC,0x60,0x40,0x29,0xF0,0x34,0xED,0x29,0xD1,
0x0A,0xD6,0x15,0x8F,0x86,0xA3,0x83,0xA4,0x28,0x69,0x20,0x6E,0x80,0x3C,0xD1,0xC8,
0x2C,0x9B,0xD0,0x18,0x21,0xDA,0x08,0xED,0x62,0xF1,0xC4,0x59,0xC0,0x49,0x51,0x56,
0x87,0xB4,0x18,0x70,0x61,0x9B,0x15,0xCC,0x80,0x02,0x02,0x7A,0x3D,0x71,0x61,0x29,
0xC8,0xAA,0xD7,0xDE,0x39,0xF7,0xF5,0xCF,0x7A,0x31,0x17,0xEC,0xF4,0x03,0xDD,0x7C,
0x71,0x32,0x88,0x82,0xA6,0xA1,0xF2,0x99,0x32,0x5E,0x00,0xC7,0xC6,0x8A,0xD5,0x87,
0x73,0x15,0x20,0x01,0x44,0x21,0x46,0x32,0x36,0x64,0xCF,0x58,0x5B,0x02,0x12,0xD1,
0x04,0x17,0x32,0x9A,0x1F,0x39,0x4E,0xEF,0x85,0xC2,0x0C,0xE9,0x65,0x4A,0x00,0xA6,
0xCC,0x05,0x13,0x67,0x36,0x17,0x2C,0x91,0x3C,0x5D,0xBA,0x96,0x40,0x98,0x14,0xAF,
0x23,0x47,0x0F,0x53,0xDE,0x33,0x22,0x2E,0xF0,0x90,0x15,0x78,0xF8,0xA8,0x68,0x3F,
0x04,0xAA,0x07,0x82,0x68,0x0D,0x3F,0x22,0xD2,0x89,0xE6,0x8D,0xE3,0x3D,0xD5,0x91,
0xC1,0x88,0xC9,0xAF,0x80,0xCE,0xEF,0x1D,0x2F,0x01,0x42,0x21,0x22,0x22,0x82,0x3A,
0x74,0x88,0xF1,0x1E,0x59,0x5F,0x06,0x62,0xEC,0xA8,0x01,0x07,0x85,0xF5,0xC9,0xFA,
0x16,0xBF,0xF6,0xA3,0x70,0x73,0x0A,0x71,0x1B,0x1B,0x12,0xD2,0xAB,0x49,0x88,0xE2,
0xE2,0x4A,0x92,0xC0,0x88,0x00,0x27,0x80,0x0E,0x9F,0x83,0xE6,0x7F,0x14,0x0D,0x75,
0x45,0x91,0x15,0xCA,0x76,0x3A,0xD4,0x78,0xC4,0xA0,0x14,0x80,0x08,0x76,0x10,0xA9,
0xE9,0x72,0x91,0xDE,0xD3,0xD7,0x8C,0x07,0x06,0xD9,0x38,0x2E,0xC2,0x68,0x82,0xAD,
0x61,0xA3,0x45,0x66,0x86,0xFA,0x23,0x05,0x12,0x82,0xA5,0x15,0x38,0x7A,0xF1,0x4A,
0x98,0xEA,0x2C,0xE2,0x1E,0x6C,0xC6,0xC9,0x20,0x1F,0x82,0x26,0xBF,0xED,0x55,0x4D,
0x12,0x30,0xB5,0x09,0xFD,0xA0,0xFE,0xF8,0x6D,0x67,0x99,0x20,0x0A,0x0B,0xD0,0x07,
0xD6,0xF1,0xE3,0x9C,0xEF,0x05,0x01,0x19,0xA6,0x9D,0xA4,0x9A,0x2D,0x91,0x58,0xA4,
0x86,0xD2,0x64,0xC2,0x82,0xA9,0xE2,0x1C,0x0C,0xB6,0x48,0x28,0x11,0x78,0xDD,0xCA,
0x88,0xAC,0x04,0x89,0x67,0xA8,0x33,0x6F,0xE1,0xB2,0x06,0x14,0x41,0x3A,0xA1,0x71,
0x2F,0x87,0x18,0xA5,0xF6,0x3D,0xBA,0x0C,0x59,0xA4,0x13,0x8C,0xF4,0xD4,0x86,0x0F,
0x1D,0x7C,0x20,0x22,0x48,0xE4,0x60,0x74,0x60,0x8E,0x23,0x68,0x02,0xC9,0x78,0xD6,
0x23,0x06,0xB3,0x04,0x2C,0x13,0x51,0x51,0x0E,0xE1,0x47,0x0C,0xB3,0x1E,0x94,0x0C,
0x01,0x11,0x1C,0xCE,0x08,0xAC,0xC4,0xA5,0x61,0xC0,0x8F,0x2F,0x1A,0x7F,0xB7,0xA0,
0xCD,0xC2,0x97,0x30,0x96,0x8E,0x21,0x1D,0xA4,0x9A,0x0B,0x6E,0xF2,0x50,0x0D,0xE1,
0x34,0x73,0x09,0x1A,0x00,0xDB,0xEA,0x02,0x87,0x1B,0x06,0x6F,0x69,0x8A,0x8A,0x04,
0xB5,0x2F,0x07,0x40,0x80,0x00,0x20,0x0B,0xB1,0x11,0xB8,0x30,0xCF,0x92,0x96,0x56,
0x91,0x8C,0x94,0x18,0x83,0xE5,0xF6,0xF1,0x12,0x16,0x96,0x18,0x60,0x9E,0x40,0xBE,
0xD0,0x78,0x89,0x4E,0x50,0x9C,0x59,0xB2,0xF6,0xDF,0xF6,0x29,0x24,0xC2,0x84,0x51,
0x14,0xF4,0xFF,0x00,0x86,0x75,0xF2,0xA4,0x9A,0x06,0xAC,0x93,0x15,0x06,0x76,0x3C,
0x62,0xF1,0x42,0x15,0xF7,0x0F,0x38,0x7F,0xC7,0xE7,0xFF,0xD9,0x00,
'%','E','N','D','.'*/};	//%END. = Ende des Files

PROGMEM char Picture2[] = {
0x00,0x00,0x01,0x00,0x01,0x00,0x10,0x10,0x10,0x00,0x01,0x00,0x04,0x00,0x28,0x01,0x00,0x00,0x16,0x00,0x00,0x00,0x28,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x20,0x00,
0x00,0x00,0x01,0x00,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x80,0x00,0x00,0x80,0x00,0x00,0x00,0x80,0x80,0x00,0x80,0x00,0x00,0x00,0x80,0x00,0x80,0x00,0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x00,0xC0,0xC0,
0xC0,0x00,0x00,0x00,0xFF,0x00,0x00,0xFF,0x00,0x00,0x00,0xFF,0xFF,0x00,0xFF,0x00,0x00,0x00,0xFF,0x00,0xFF,0x00,0xFF,0xFF,0x00,0x00,0xFF,0xFF,0xFF,0x00,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,0x0F,0x00,0xF0,0x0F,0x0F,0x00,0x80,0x0F,0xFF,0x0F,0x0F,0x0F,0xF0,0x00,0x80,0x0F,
0x0F,0x0F,0x0F,0x0F,0x0F,0x00,0x00,0x00,0xF0,0x0F,0x0F,0x0F,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x7F,
0x7F,0x7F,0x7F,0x7F,0x7F,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
'%','E','N','D','.'};	//%END. = Ende des Files
